rm(list=ls(all=TRUE))  # clear all variables
# Programmed by Greg Francis (gfrancis@purdue.edu) December 2013

# Exp. 4 Gino & Mogilner

# define properties of experiment (cheating measure)
n1 = 75  # Money
n2 = 70 # Time
n3 = 68 # Control

f1 = 55
f2 = 28
f3 = 39

alpha = 0.05

proportions = c(f1/n1, f2/n2, f3/n3)

# repeat experiments to estimate power
numExperiments =100000

sumRejects=0
NS1=0
NS2=0
NS3=0
NS4=0

for(experimentNum in c(1: numExperiments)){

    x1 =  runif( n=n1, min=0, max=1) 
	y1 =  runif( n=n2 , min=0, max=1) 	
	z1 =  runif( n=n3 , min=0, max=1) 	

	
	# convert to 0-1 responses
	Money = ifelse(x1<= proportions[1], 1, 0)
	Time = ifelse(y1<= proportions[2], 1, 0)
	Control = ifelse(z1<= proportions[3], 1, 0)


	# just to test out data from paper (it does not match b/c paper miscalculates chi square)	
	if(1==0){
	Money[1:f1] = 1
	Money[(f1+1):n1] = 0	
	Time[1:f2] = 1
	Time[(f2+1):n2] = 0
	Control[1:f3] = 1
	Control[(f3+1):n2] = 0
	}
	
	
#	cat(ContingencyTable, "\n")
	# Ominibus
	result <-prop.test(c(sum(Money), sum(Time), sum(Control)), n=c(n1, n2,n3), correct=FALSE)	
	p1<-result$p.value
	
	# Money vs. Control
	result <-prop.test(c(sum(Money), sum(Control)), n=c(n1, n3), correct=FALSE)	
	p2<-result$p.value

	# Money vs. Time
	result <-prop.test(c(sum(Money), sum(Time)), n=c(n1, n2), correct=FALSE)	
	p3<-result$p.value
	
	# Time vs. Control
	result <-prop.test(c(sum(Time), sum(Control)), n=c(n2, n3), correct=FALSE)	
	p4<-result$p.value
	

	if (p1<= alpha && p2<= alpha && p3<= alpha && p4<= alpha)	{
		sumRejects = sumRejects +1
		}
		
	if(p1<=alpha){NS1=NS1+1}	
	if(p2<=alpha){NS2=NS2+1}	
	if(p3<=alpha){NS3=NS3+1}	
	if(p4<=alpha){NS4=NS4+1}	


}  #End current experiment

# output statistics
propReject = sumRejects/numExperiments

cat("Proportion all reject =", propReject, "\n")

cat("\nOminbus ", NS1/numExperiments, "\n")
cat("Money vs. Control ", NS2/numExperiments, "\n")
cat("Money vs. Time ", NS3/numExperiments, "\n")
cat("Time vs. Control ", NS4/numExperiments, "\n")
